Bug 399181 - relabel from
relabel from
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-11-26 02:21 EST by Robert McLachlan
Modified: 2008-01-30 14:06 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 14:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert McLachlan 2007-11-26 02:21:05 EST
Description of problem: selinux policy targeted problem

Version-Release number of selected component (if applicable):
Fedora 7

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

    SELinux is preventing /sbin/udevd (udev_t) "relabelfrom" to par0 (device_t).

Detailed Description
    SELinux denied access requested by /sbin/udevd. It is not expected that this
    access is required by /sbin/udevd and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for par0, restorecon -v par0 If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:udev_t:SystemLow-SystemHigh
Target Context                system_u:object_r:device_t
Target Objects                par0 [ lnk_file ]
Affected RPM Packages         udev-113-12.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-57.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain #1 SMP
                              Thu Nov 1 21:09:24 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Sun 25 Nov 2007 10:43:14 PM PST
Last Seen                     Sun 25 Nov 2007 10:43:14 PM PST
Local ID                      2d4863a1-5765-43b4-9de2-c266a0a5ff96
Line Numbers                  

Raw Audit Messages            

avc: denied { relabelfrom } for comm="udevd" dev=tmpfs egid=0 euid=0
exe="/sbin/udevd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="par0" pid=3410
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:udev_t:s0-s0:c0.c1023 suid=0 tclass=lnk_file
tcontext=system_u:object_r:device_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-11-26 10:08:24 EST
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-2.6.4-59.fc7
Comment 2 Daniel Walsh 2008-01-30 14:06:02 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.